Support » Plugin: Toolset Types - Custom Post Types, Custom Fields and Taxonomies » Notification asking to purchase a Toolset Account

Viewing 15 replies - 16 through 30 (of 31 total)
  • I’m using last version of WordPress, the last version of InfiniteWP (requieres the client) and version 2.3.1 of your plugin.

    I’m not going to clone or anything like this because is a problem caused by your poor decisions.

    I’m using last version of WordPress, the last version of InfiniteWP (requieres the client) and version 2.3.1 of your plugin.

    I’m not going to clone or anything like this because is a problem caused by your poor decisions.

    me too. what you are doing is ADVERTISING your pro version. honestly this seems like a ploy to get unknowing users of the free version to purchase an upgrade. i believe you’re not supposed to advertise upgrades in the plugin listing admin page, only UPDATE notification. i thought these types of invitations are supposed to be limited to the screens produced by your plugin.

    s

    (@stepunk)

    @emilysparkle I thought the same… :/

    It seems like this is not really important for this company, so here we go with a simple fix that will block any “update” outside wordpress.org.

    Edit: vendor/otgs/installer/includes/class-wp-installer.php
    Add a return; at the start of the __construct() method.

    Problem solved.

    • This reply was modified 1 year, 3 months ago by  Pau Capó.
    • This reply was modified 1 year, 3 months ago by  Pau Capó.
    Plugin Support Beda

    (@bedas)

    Thanks a lot for all the feedback.

    As Amit, and as well Amir, pointed out, we will look in different aspects of the upgrade notice and workflow, so to try to satisfy everyone.

    As Amir points out, this version (free) of Types will continue to receive bug fixes and security updates on WordPress through 2018.

    By end of 2018, the plugin will start to show those messages that say it hasn’t been updated since… or that it wasn’t marked as compatible with WordPress since version xy… as an unavoidable consequence of the termination of our development on the free version by end of 2018.

    Hence, by then, most likely other solutions will have to be implemented, if the paid Types option is not a viable solution.

    I am mentioning this, because while you can keep an updated plugin for now (even if you remove the notices with some custom hack), it will not be possible (and not safe) to “hide” the fact the plugin is outdated, after 2018.

    I personally recommend to evaluate what you “got” from Types until now, and to think about, if you are willing to pay for these features (and more), or not.

    If not, then I recommend to start looking out for similar, still free solutions.

    It will be a required step anyway after 2018, unless you would “support” your own version of Types.

    To conclude, we will look in smoother ways to present and communicate – but we cannot avoid the fact that the Free Types Plugin is counting it’s days.

    I hope I did not leave any doubts.

    I understand all that, but I don’t think this is allowed in the wordpress.org plugins directory. Right now you have a plugin here and when you install the plugin redirects you to a payed plugin giving the sense of “needed” for it to work.

    If this is not solved by today (Europe time) I will try to contact wordpress.org staff and inform of it, because this is just… BS

    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    Let us know if you have any issues following those steps!

    I am closing this topic and archiving all of the replies.

    These are not discussion forums. If you need support then per the forum guidelines please start your own topic.

    https://wordpress.org/support/guidelines/#post-in-the-best-place

    You can do so here.

    https://wordpress.org/support/plugin/types/#new-post

    Beda, next time you start a topic like this contact the moderators in the Slack #forums channel and they will promptly close it. You are not helping your users when you raise topics this way.

    Each person has their own problem and pile on topics do not work and do not help anyone.

    Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    @jdembowski Nope. Not this time.

    @bedas Fix your plugin, or your plugin will be removed from the WordPress.org plugins directory. It is not okay for a plugin to break the update process in order to upsell itself.

    Thanks @otto42 for this bit of sense in all this.

    s

    (@stepunk)

    @otto42 thank you also from me!

    Plugin Author Amir Helzer

    (@amirhelzer)

    I want to to do what’s right and avoid any sort of damage to people who’ve been using Types until now.

    @otto42, can I have an email or other form of contact, so I can explain what we have and get your advice on what’s best for developers who’ve been using Types?

    Plugin Author Amir Helzer

    (@amirhelzer)

    Just subscribed to email notifications for this thread.

    Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    @amirhelzer Yes, you can email plugins@wordpress.org about the problem.

    This is still an issue through Version 2.3.1. The previous advice to deactivate and update worked, but the latest version is back to prompting for the upgrade (v3.0.1) rather than an update.

    Hope this helps.

    Plugin Author Amir Helzer

    (@amirhelzer)

    No worries. Like I wrote directly to plugins@wordpress.org, we’ll be removing all upgrade notices altogether. Please note that we don’t know for how long Types will remain on WPORG.

Viewing 15 replies - 16 through 30 (of 31 total)
  • The topic ‘Notification asking to purchase a Toolset Account’ is closed to new replies.